Productsup
API referenceV2Export template

Delete export template (soft delete)

Marks the export template as deleted by setting soft_deleted to true. Executed asynchronously (inline in Phase 1). Returns 202 Accepted with Content-Location header pointing to the operation. If export template does not exist, returns 404 immediately without creating an operation.

DELETE
/V2/export-templates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*integer

Export template ID

Response Body

application/json

application/json

application/json

curl -X DELETE "https://export-template-api.productsup.com/V2/export-templates/0"
{
  "operationId": "01980f10-5b04-7845-b0d5-66861c6cabb0",
  "status": "queued"
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "code": "NOT_FOUND",
  "message": "string"
}

How is this guide?